summaryrefslogtreecommitdiff
path: root/tests/touch/fifo
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-02-02 14:03:56 +0000
committerJim Meyering <jim@meyering.net>2000-02-02 14:03:56 +0000
commit177daedd5eb60fb77f27d6c9929cd7b21bfc91b0 (patch)
tree27c6671c8bad47cb7136a707ad7e43e7f7989cf2 /tests/touch/fifo
parentaeedb315dd1d5f0cf8e623b6043fb6eef6ac3c99 (diff)
downloadcoreutils-177daedd5eb60fb77f27d6c9929cd7b21bfc91b0.tar.xz
sheesh
Diffstat (limited to 'tests/touch/fifo')
-rwxr-xr-xtests/touch/fifo9
1 files changed, 5 insertions, 4 deletions
diff --git a/tests/touch/fifo b/tests/touch/fifo
index b1a436d97..69c83bdb6 100755
--- a/tests/touch/fifo
+++ b/tests/touch/fifo
@@ -8,8 +8,9 @@ fi
framework_failure=0
-rm -rf fifo
-mkfifo fifo || framework_failure=1
+tmp=fifo-$$
+rm -rf $tmp
+mkfifo $tmp || framework_failure=1
if test $framework_failure = 1; then
echo 'failure in testing framework'
@@ -18,7 +19,7 @@ fi
fail=0
-touch fifo || fail=1
-rm -rf fifo
+touch $tmp || fail=1
+rm -rf $tmp
exit $fail